Bug 18706 - Sugar desktop: missing dependency
Summary: Sugar desktop: missing dependency
Status: REOPENED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: x86_64 Linux
Priority: Normal major
Target Milestone: Mageia 8
Assignee: All Packagers
QA Contact:
URL: http://sugarlabs.org/
Whiteboard: MGA7TOO
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-14 14:40 CEST by Morgan Leijström
Modified: 2020-11-18 19:33 CET (History)
3 users (show)

See Also:
Source RPM: task-sugar-0.112-3.mga7.noarch task-sugar-0.112-5.mga8.noarch
CVE:
Status comment: Solution or drop it. see comment 10 +


Attachments
part of output of "journalctl -ab"; log begin at user log in (14.03 KB, text/plain)
2016-06-14 16:58 CEST, Morgan Leijström
Details

Description Morgan Leijström 2016-06-14 14:40:21 CEST
I installed task- sugar and dependencies, rebooted
I selected it at login, but the only thing that happens is that mouse pointer change to a large arrow, on top of the (image of the) login screen.

I was just curious to try it, and have not tried anything to get it to work.
Not important for me but I can try something if someone want to debug.
Comment 1 Morgan Leijström 2016-06-14 16:58:13 CEST
Created attachment 7991 [details]
part of output of "journalctl -ab"; log begin at user log in
Marja Van Waes 2016-06-16 20:07:46 CEST

CC: (none) => marja11
Assignee: bugsquad => lists.jjorge

Comment 2 Morgan Leijström 2016-07-12 00:13:20 CEST
I see it got updated but still same result here on all of three tested installs on 64 bit cauldron machines where other DE work:
§ i7n workstation with ati proprietary driver, updated from mga5
§ Centrino vPro Nvidia Quadro laptop with Nvidia driver, updated from mga5
§ Centrino Duo laptop with ati GPU using xorg vesa, fresh install 6_d1+updates

Is it really correct that sugar-base is version 0.98.0-7.mga6, while all other parts seem to be version 0.108.1-3.mga6 ?

Is it working for most installs and I am just unlucky?

If broken for most, IMO we can not ship it in mga6.

I set it to release blocker to get it investigated.

Priority: Normal => release_blocker
Severity: major => critical
Source RPM: task-sugar 0.107.0-1.mga6 => sugar 0.108.1-3.mga6

Comment 3 Marja Van Waes 2016-07-12 13:29:47 CEST
(In reply to Morgan Leijström from comment #2)
> I see it got updated but still same result here on all of three tested
> installs on 64 bit cauldron machines where other DE work:
> § i7n workstation with ati proprietary driver, updated from mga5
> § Centrino vPro Nvidia Quadro laptop with Nvidia driver, updated from mga5
> § Centrino Duo laptop with ati GPU using xorg vesa, fresh install
> 6_d1+updates
> 
> Is it really correct that sugar-base is version 0.98.0-7.mga6, while all
> other parts seem to be version 0.108.1-3.mga6 ?


CC'ing daviddavid, who packaged it
> 
> Is it working for most installs and I am just unlucky?
> 
> If broken for most, IMO we can not ship it in mga6.
> 
> I set it to release blocker to get it investigated.

CC: (none) => geiger.david68210
Blocks: (none) => 15527

Comment 4 Manuel Hiebel 2016-07-13 22:45:40 CEST
as this isn't in a iso media (and if it is, why ?), I don't see how it could be release blocker
Comment 5 Marja Van Waes 2016-07-13 23:02:08 CEST
(In reply to Manuel Hiebel from comment #4)
> as this isn't in a iso media (and if it is, why ?), I don't see how it could
> be release blocker

You're right, Manuel, it's not on an iso, thanks :-)

Priority: release_blocker => Normal

Marja Van Waes 2016-07-13 23:02:18 CEST

Blocks: 15527 => (none)

Comment 6 Morgan Leijström 2016-07-14 08:40:06 CEST
Ah. Thanks for the correction on release blocker.
Comment 7 Morgan Leijström 2017-01-04 12:11:01 CET
According to Bug 1969 sugar was working in mga4.
I have no idea if it was working in mga5.
Comment 8 Aurelien Oudelet 2020-09-09 21:39:40 CEST
Hi, thanks for reporting this bug.
We are sorry, but we no longer maintains this version of Mageia. Please upgrade to the latest version and reopen this bug against that version if this bug exists there.
As a result we are setting this bug to RESOLVED:OLD

CC: (none) => ouaurelien
Status: NEW => RESOLVED
Resolution: (none) => OLD

Comment 9 Morgan Leijström 2020-09-10 00:00:54 CEST
Tried now on mga7, an install which have not had this installed before:
Installed task-sugar, rebooted, at login selected Sugar;

Then there are four questions each asked in centre of screen in full screen mode.

It asks for name, i accepted mine.  But the questions of selecting colour, sex, and age can not be answered because the big mouse cursor only works to click the next and continue buttons at left and right screen bottom.  To be more precise there is not even any visible alternative to click except for the age question.

So the bug may be it is unable to present click-able alternatives?  A missing dep?

And i can not go further because at question of age the next button is greyed.

Only exit i found was to kill X; Ctrl+Alt+ twice backspace, and i find myself in login manager.

Tested with login managers SDDM and GDM, same result.


IMO this should finally get fixed, or dropped.

Resolution: OLD => (none)
Severity: critical => major
Version: Cauldron => 7
Source RPM: sugar 0.108.1-3.mga6 => task-sugar-0.112-3.mga7.noarch.rpm
Target Milestone: --- => Mageia 8
Status: RESOLVED => REOPENED
URL: (none) => http://sugarlabs.org/

Comment 10 Nicolas Nicolas 2020-09-20 16:00:20 CEST
Hello,

To be able to have the icons when launching sugar (from Plasma but after from SDDM), i had to install the package python2-gi-cairo as it is a python2 application (at least in the packaged version).

In Cauldron, the version is 0.116 (is this version support python3 ?).

CC: (none) => joe_c_moi

Nicolas Nicolas 2020-09-20 16:00:32 CEST

CC: joe_c_moi => (none)

Comment 11 Morgan Leijström 2020-09-20 23:40:30 CEST
Ah, thank you Nicolas, now it works!

So the depencency python2-gi-cairo should get added to task-sugar, or maybe better sugar-base 


Alternatively drop sugar desktop, because from this bug it seems it is not much used in Mageia...

Assignee: lists.jjorge => pkg-bugs
Status comment: (none) => See comment 10
Summary: Sugar desktop: fail logging in => Sugar desktop: missing dependency

Comment 12 Aurelien Oudelet 2020-09-21 09:50:11 CEST
I think we should drop it or look if upstream has released sources against Python3, not Python2, which we want to be dropped.
Comment 13 Morgan Leijström 2020-09-21 10:18:20 CEST
Yes sugar version on Cauldron seem to be 0.116-2, while task-sugar is 0.112-5

Ported to Python3
https://github.com/sugarlabs/sugar/pull/805
https://github.com/sugarlabs/sugar/issues/787

"Either it builds or gets nuked"
https://ml.mageia.org/l/arc/dev/2020-09/msg00261.html

Version: 7 => Cauldron
Source RPM: task-sugar-0.112-3.mga7.noarch.rpm => task-sugar-0.112-3.mga7.noarch task-sugar-0.112-5.mga8.noarch
Whiteboard: (none) => MGA7TOO
Status comment: See comment 10 => Solution or drop it. see comment 10 +

Comment 14 Morgan Leijström 2020-10-12 12:39:19 CEST
In https://ml.mageia.org/l/arc/dev/2020-09/msg00276.html Jani wrote:

"
Sugar was ported to python3 after mga7 was released and starts OK in
Cauldron after I applied a patch from upstream.

However I don't know if it's used by anyone.
  "

With the maintainer gone (José Jorge) and not much used i suggest dropping Sugar desktop.
Comment 15 Morgan Leijström 2020-11-18 19:33:35 CET
Will probably get dropped

https://ml.mageia.org/l/arc/dev/2020-10/msg00105.html

Note You need to log in before you can comment on or make changes to this bug.